Bug 1111910 - [abrt] gdb: __memcmp_sse4_1(): gdb killed by SIGSEGV
Summary: [abrt] gdb: __memcmp_sse4_1(): gdb killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gdb
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Kratochvil
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:d010f7f35714e1cbc7efe4e9014...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-21 22:31 UTC by James Legg
Modified: 2014-07-06 00:54 UTC (History)
8 users (show)

Fixed In Version: gdb-7.7.1-15.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-06 00:54:46 UTC


Attachments (Terms of Use)
File: backtrace (86.86 KB, text/plain)
2014-06-21 22:31 UTC, James Legg
no flags Details
File: cgroup (172 bytes, text/plain)
2014-06-21 22:31 UTC, James Legg
no flags Details
File: core_backtrace (6.25 KB, text/plain)
2014-06-21 22:31 UTC, James Legg
no flags Details
File: dso_list (13.33 KB, text/plain)
2014-06-21 22:31 UTC, James Legg
no flags Details
File: environ (2.97 KB, text/plain)
2014-06-21 22:31 UTC, James Legg
no flags Details
File: exploitable (82 bytes, text/plain)
2014-06-21 22:31 UTC, James Legg
no flags Details
File: limits (1.29 KB, text/plain)
2014-06-21 22:32 UTC, James Legg
no flags Details
File: maps (27.79 KB, text/plain)
2014-06-21 22:32 UTC, James Legg
no flags Details
File: open_fds (3.35 KB, text/plain)
2014-06-21 22:32 UTC, James Legg
no flags Details
File: proc_pid_status (937 bytes, text/plain)
2014-06-21 22:32 UTC, James Legg
no flags Details
File: var_log_messages (328 bytes, text/plain)
2014-06-21 22:32 UTC, James Legg
no flags Details
Compressed dolphin core dump (5.44 MB, application/octet-stream)
2014-06-22 15:10 UTC, James Legg
no flags Details

Description James Legg 2014-06-21 22:31:41 UTC
Description of problem:
Abbreviated transcript of my gdb session:

gdb dolphin-emu
...
(gdb) run
...
[New Thread 0x7fffc4aac700 (LWP 21845)]

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x7fffc4aac700 (LWP 21845)]
0x000000004040767f in ?? ()
(gdb) bt
#0  0x000000004040767f in ?? ()
#1  0x0000000000000100 in ?? ()
#2  0x00007fffc4aac700 in ?? ()
#3  0x00007fffc4aac9c0 in ?? ()
#4  0x0000000000000000 in ?? ()
(gdb) info threds
  Id   Target Id         Frame 
* 7    Thread 0x7fffc4aac700 (LWP 21845) "CPU thread" 0x000000004040767f in ?? ()
  6    Thread 0x7fffc56c4700 (LWP 21844) "threaded-ml" 0x00007ffff0f569dd in poll () at ../sysdeps/unix/syscall-template.S:81
  5    Thread 0x7fffc60cc700 (LWP 21843) "dolphin-emu" 0x00007ffff0f569dd in poll () at ../sysdeps/unix/syscall-template.S:81
  4    Thread 0x7fffc68cd700 (LWP 21842) "dolphin-emu" 0x00007ffff0f2898d in nanosleep () at ../sysdeps/unix/syscall-template.S:81
  3    Thread 0x7fffdaaf7700 (LWP 21804) "Video thread" CommandProcessor::SetCpStatus (isCPUThread=false)
    at /home/jlegg/dolphin/git/Source/Core/VideoCommon/CommandProcessor.cpp:360
  2    Thread 0x7fffe124a700 (LWP 21802) "gdbus" 0x00007ffff0f569dd in poll () at ../sysdeps/unix/syscall-template.S:81
  1    Thread 0x7ffff7fb0bc0 (LWP 21798) "dolphin-emu" 0x00007ffff0f569dd in poll () at ../sysdeps/unix/syscall-template.S:81

(gdb) thread 1
[Switching to thread 1 (Thread 0x7ffff7fb0bc0 (LWP 21798))]
#0  0x00007ffff0f569dd in poll () at ../sysdeps/unix/syscall-template.S:81
81	T_PSEUDO (SYSCALL_SYMBOL, SYSCALL_NAME, SYSCALL_NARGS)
(gdb) bt
#0  0x00007ffff0f569dd in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007ffff5d6af14 in g_main_context_poll (priority=2147483647, n_fds=5, fds=0x1c22f10, timeout=112, context=0x1551fb0) at gmain.c:4028
#2  g_main_context_iterate (context=0x1551fb0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3729
#3  0x00007ffff5d6b25a in g_main_loop_run (loop=0x162cf70) at gmain.c:3928
#4  0x00007ffff7855565 in gtk_main () at gtkmain.c:1192
#5  0x00007ffff4305a65 in wxGUIEventLoop::DoRun (this=0x1688ee0) at src/gtk/evtloop.cpp:65
#6  0x00007ffff3620110 in wxEventLoopBase::Run (this=0x1688ee0) at src/common/evtloopcmn.cpp:78
#7  0x00007ffff35dde1d in wxAppConsoleBase::MainLoop (this=0x152a6c0) at src/common/appbase.cpp:334
#8  0x00007ffff366dded in wxEntry (argc=@0x7ffff3a04890: 1, argv=<optimized out>) at src/common/init.cpp:495
Segmentation fault (core dumped)


The CPU thread is likely to contain JIT compiled code, so I don't expect a reasonable backtrace there. However, gdb shouldn't crash giving a backtrace of the main thread. In dolphin, the program being debugged, after it loaded I simply double clicked on an game. After gdb crashed, dolphin carried on working normally.

Version-Release number of selected component:
gdb-7.7.1-13.fc20

Additional info:
reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        gdb -p 787
crash_function: __memcmp_sse4_1
executable:     /usr/bin/gdb
kernel:         3.14.5-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 __memcmp_sse4_1 at ../sysdeps/x86_64/multiarch/memcmp-sse4.S:816
 #1 value_available_contents_bits_eq at ../../gdb/value.c:717
 #2 value_available_contents_eq at ../../gdb/value.c:769
 #3 read_frame_arg at ../../gdb/stack.c:417
 #4 print_frame_args at ../../gdb/stack.c:676
 #5 print_frame at ../../gdb/stack.c:1207
 #6 print_frame_info at ../../gdb/stack.c:859
 #7 backtrace_command_1 at ../../gdb/stack.c:1818
 #8 backtrace_command at ../../gdb/stack.c:1915
 #9 execute_command at ../../gdb/top.c:471

Comment 1 James Legg 2014-06-21 22:31:47 UTC
Created attachment 911085 [details]
File: backtrace

Comment 2 James Legg 2014-06-21 22:31:50 UTC
Created attachment 911086 [details]
File: cgroup

Comment 3 James Legg 2014-06-21 22:31:52 UTC
Created attachment 911087 [details]
File: core_backtrace

Comment 4 James Legg 2014-06-21 22:31:55 UTC
Created attachment 911088 [details]
File: dso_list

Comment 5 James Legg 2014-06-21 22:31:57 UTC
Created attachment 911089 [details]
File: environ

Comment 6 James Legg 2014-06-21 22:31:59 UTC
Created attachment 911090 [details]
File: exploitable

Comment 7 James Legg 2014-06-21 22:32:01 UTC
Created attachment 911091 [details]
File: limits

Comment 8 James Legg 2014-06-21 22:32:03 UTC
Created attachment 911092 [details]
File: maps

Comment 9 James Legg 2014-06-21 22:32:05 UTC
Created attachment 911093 [details]
File: open_fds

Comment 10 James Legg 2014-06-21 22:32:07 UTC
Created attachment 911094 [details]
File: proc_pid_status

Comment 11 James Legg 2014-06-21 22:32:10 UTC
Created attachment 911095 [details]
File: var_log_messages

Comment 12 Jan Kratochvil 2014-06-22 07:37:27 UTC
Do you have the GDB crash repeatedly reproducible?
I cannot run dolphin-emu as I do not have any ISO image for it, general ISO image is rejected with 'not a GC/Wii ISO'.
If the bug is reproducible it should be possible to "gcore dolphin.core" and this kind of bug should reproduce even from the "dolphin.core" file.
Please note the ABRT core file (core file from GDB, not from dolphin) is probably not enough to fix this bug.

Comment 13 James Legg 2014-06-22 15:10:06 UTC
Created attachment 911158 [details]
Compressed dolphin core dump

I can repeatedly reproduce this without even attempting to launch a game. All I need to is launch dolphin, then, after dolphin has loaded, interrupt it and type "bt". I can reproduce the crash with the attached core dump produced by the gdb gcore command.

Comment 14 Jan Kratochvil 2014-06-22 20:42:25 UTC
[patch+7.8] Fix crash on optimized-out entry data values
https://sourceware.org/ml/gdb-patches/2014-06/msg00797.html

Comment 15 Fedora Update System 2014-07-01 06:31:24 UTC
gdb-7.7.1-15.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/gdb-7.7.1-15.fc20

Comment 16 Fedora Update System 2014-07-01 23:29:19 UTC
Package gdb-7.7.1-15.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gdb-7.7.1-15.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-7980/gdb-7.7.1-15.fc20
then log in and leave karma (feedback).

Comment 17 Fedora Update System 2014-07-06 00:54:46 UTC
gdb-7.7.1-15.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.